@import url("normalize.css");

:root {
    --color-background-primary: #019bdd;
}

*, *::after, *::before {
    box-sizing: border-box;
}

/* typography */

html {
    font-size: 62.5%;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background-color: #fff;
    font-size: 1.6rem;
}

/* header */
.header {
    position: sticky;
    top: 0;
  }

.header__image {
    max-height: 2rem;
    width: auto;
}


.navigation {
    background: var(--color-background-primary);
    padding: 1.6rem;
    display: flex;    
    justify-content: center;
    gap: 1.6rem;
}
  
.navigation__link {
    color: #fff;
    text-decoration: none;
    font-weight: bold;
}
  
.navigation__link:hover {
    background: #000;
}
  
/* main */
main {
    max-width: 1280px;
    margin: 0 auto;
}

/* main header */
.main-header {
    text-align: center;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}
  
.main-header__image {
    border-radius: 100%;
    max-width: 300px;
    min-width: 150px;
    height:auto;
    padding: 16px;
}
  
.main-header__contener {
    display: flex;
    flex-direction: column;
}
  
.main-header__heading {
    font-weight: bold;
    letter-spacing: 1px;
}
  
.main-header__subtitle {
    font-weight: bold;
    letter-spacing: 1px;
    line-height: 1.5;
}

/* about */
/* author */
/* materials */
/* contact */
/* sections */
.section {
    text-align: center;
    padding: 16px;
    line-height: 2;
}
  
.section__header {
    background: var(--color-background-primary);
    color: #fff;
}

.section__subheader {
    text-align: left;
}
  
.section__contener {
    display: flex;
    justify-content: center;
    flex-flow: column wrap;
    align-items: center;
}

.section__contener--one {    
    flex-flow: row wrap;    
}
  
.section__content{
    text-align: left;
    margin: 0;
}

.section__link {
    margin: 2rem 2rem;
}
  
.section__image {
    border-radius: 100%;
    max-width: 300px;
    min-width: 150px;
    height:auto;  
    padding: 16px;
}

.section__image--logo {
    border-radius: 0;
}

.section__image--leaflet {
    border-radius: 0;
    max-width: 800px;
    padding-top: 30px;
}

.form__button {
    font-size: 1.8rem;
    padding: 1rem 3.4rem;
    cursor: pointer;
    border-radius: 10px;
    border: 0;
    margin-right: 2rem;
    background: #019bdd;
    color: #fff;
}

.form__button:hover {    
    background: #0074a5;
}

.list {
    text-align: left;
}

.list__item {
    line-height: 2.3;    
}

/* footer */
.footer {
    max-width: 1280px;
    margin: 0 auto;
    background: var(--color-background-primary);
}
  
.footer__content {
    padding: 16px;
    text-align: center;
    color: #d3d3d3;
}


@media screen and (min-width: 768px) {
    body {
        font-size: 1.6rem;
    } 

    .section__contener {
        align-items: flex-start;
        flex-flow: row wrap;
        justify-content: space-between;
    }

    .section__contener--one {    
        justify-content: center;    
    }
}

